### Property

# Gio SocketClient:family

since: 2.22

#### Declaration

    property family: Gio.SocketFamily [ read, write, construct ]

#### Description

The address family to use for socket construction.

Type: | `GSocketFamily`
Available since: | 2.22

Default value | G_SOCKET_FAMILY_INVALID
Getter method | `g_socket_client_get_family()`
Setter method | `g_socket_client_set_family()`

#### Flags

Readable | yes
Writable | yes
Construct | yes
Construct only | no